# User Object

```javascript
{
  "ID": "61e51b1b-55cd-4b00-9cc0-4b71fa0eb00f", // [Deprecated] Cotter User ID
  "created_at": "2020-06-12T04:07:13.288829Z",
  "update_at": "2020-06-12T04:07:13.699916Z",
  "deleted_at": null,
  "issuer": "abababab-abab-abab-abab-abababababab",
  "client_user_id": "61e51b1b-55cd-4b00-9cc0-4b71fa0eb00f",
  "enrolled": [
    "TRUSTED_DEVICE"
  ],
  "default_method": "TRUSTED_DEVICE",
  "identifier": "hello@cotter.app",
  "identifiers": null
}
```

| Field            | Description                                                                                                           |
| ---------------- | --------------------------------------------------------------------------------------------------------------------- |
| ID               | *\[DEPRECATED]* Cotter's User ID                                                                                      |
| issuer           | Your `API_KEY_ID`                                                                                                     |
| client\_user\_id | *\[DEPRECATED]*  Your User ID of the User in your server                                                              |
| enrolled         | Authentication methods that the user has set up. Possible values are `TRUSTED_DEVICE`, `WEBAUTHN`, `PIN`, `BIOMETRIC` |
| default\_method  | The latest enrolled authentication method                                                                             |
| identifier       | The user's email, phone number, or username that is used to identify the user's account.                              |
| identifiers      | *\[DEPRECATED]*  A list of identifiers for the user.                                                                  |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cotter.app/api-reference/user-api/user-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
